" nvim/settings.vim

set number
set cursorline
set shortmess+=I
set nowrap
set nocompatible
set ruler
set wildmenu
set noshowcmd
set splitright
set splitbelow

" Rechtsschreibprüfung
set spell
set spelllang=de,en

" Optionen für ^n-Vervollständigung
set complete=.,w,b,u,t,i

" bessere Suche
set hlsearch
set incsearch
set ignorecase
set smartcase

" Sonderzeichen anzeigen
set list
set listchars=tab:>\ ,trail:-,extends:>,precedes:<,nbsp:+
set matchpairs+=<:>

" automatisches Einlesen geänderter Dateien
set autoread

" Suche rekursiv
set path+=**

" Tabs
set noexpandtab
set tabstop=4
set shiftwidth=4
set softtabstop=0

" Einrückungen
set smartindent
set autoindent
set cindent

" weitere Einstellungen
syntax enable
filetype plugin indent on

" Farbschema
colorscheme habamax
highlight MatchParen cterm=bold,underline

